package cn.iocoder.yudao.module.energy.service.detail;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.energy.controller.admin.detail.vo.HydrogenDetailPageReqVO;
import cn.iocoder.yudao.module.energy.controller.admin.detail.vo.HydrogenDetailSaveReqVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.detail.EnergyHydrogenDetailDO;
import java.util.List;

public interface HydrogenDetailService {
    void updateDetail(HydrogenDetailSaveReqVO reqVO);
    PageResult<EnergyHydrogenDetailDO> getDetailPage(HydrogenDetailPageReqVO pageReqVO);
    EnergyHydrogenDetailDO getDetail(Long id);
    void audit(Long id, Boolean approved, String remark);
    void batchAudit(List<Long> ids, Boolean approved, String remark);
    void updateDeductionStatus(Long detailId, Integer status);
    void updateBillId(List<Long> detailIds, Long billId);
    void updateSettlementStatus(List<Long> detailIds, Integer status);
}
